import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

import 'package:flutter_assesment/items/appbar.dart';
import 'package:flutter_assesment/items/bottom_navigator.dart';
import 'package:flutter_assesment/items/coin_list_view.dart';
import 'package:flutter_assesment/items/graph_layout.dart';
import 'package:flutter_assesment/items/mainitem.dart';
import 'package:flutter_assesment/items/sweepbtn.dart';
class MyHomePage extends StatefulWidget {
  const MyHomePage({Key? key}) : super(key: key);



  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {




  ScrollController scrollController = ScrollController();
  @override
  Widget build(BuildContext context) {

    return WillPopScope(
      onWillPop: () async {
        showDialog(
            context: context,
            builder: (_) {
              return AlertDialog(
                title: const Text('Are you want to Exit?'),
                actions: [
                  TextButton(
                    onPressed: () => Navigator.pop(context, false),
                    // passing false
                    child: const Text('No'),
                  ),
                  TextButton(
                    onPressed: () => SystemNavigator.pop(), // passing true
                    child: const Text('Yes'),
                  ),
                ],
              );
            }).then((exit) {
          if (exit == null) return;

          if (exit) {
            // user pressed Yes button
          } else {
            // user pressed No button
          }
        });
        return true;
      },
      child: Scaffold(
        body: SafeArea(
            child: Stack(children: [
              ListView(
                controller: scrollController,
                children: [
                  AppBarScreen(),
                  MainItems(),
                  GraphLayoutScreen(),
                  SweepAnimationButton(),
                  CoinListViewScreen(scrollController: scrollController),
                ],),
              Align(alignment: Alignment.bottomCenter,
                child: BottomNavigatorScreen(),)
            ],)
        ), // This trailing comma makes auto-formatting nicer for build methods.
      ),
    );
  }
}