import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_assesment/utils/config.dart';

class AppBarScreen extends StatelessWidget {
  const AppBarScreen({Key? key}) : super(key: key);



  @override
  Widget build(BuildContext context) {
    return Container(
      height: 80,
      padding: const EdgeInsets.symmetric(horizontal: 20),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Container(
                padding: const EdgeInsets.all(5.0),
                height: 40,
                width: 40,
                decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadius.all(Radius.circular(5.0)),
                  boxShadow: [
                    BoxShadow(
                      offset: Offset(2, 2),
                      color: Colors.grey,
                      blurRadius: 10.0,
                    ),
                    BoxShadow(
                      offset: Offset(-2, -2),
                      color: Colors.white,
                      blurRadius: 10.0,
                    ),
                  ],
                ),
                child: Center(child: Icon(Icons.menu_sharp,color: Color(0xff468bdf),),),
              ),
              SizedBox(height: 10,),
              Center(child: Text(Config.supportMenu,style: TextStyle(color: Colors.black,fontSize: 11,fontWeight: FontWeight.bold),),)
            ],),
          Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
            Container(
              padding: const EdgeInsets.all(5.0),
              height: 40,
              width: 40,
              decoration: BoxDecoration(
                color: Colors.white,
                shape: BoxShape.circle,
                boxShadow: [
                  BoxShadow(
                    offset: Offset(2, 2),
                    color: Colors.grey,
                    blurRadius: 10.0,
                  ),
                  BoxShadow(
                    offset: Offset(-2, -2),
                    color: Colors.white,
                    blurRadius: 10.0,
                  ),
                ],
              ),
              child: Center(child: Image.asset("assets/images/notofication.png"),),
            ),
            SizedBox(height: 10,),
            Center(child: Text(Config.supportNotification,style: TextStyle(color: Colors.black,fontSize: 11,fontWeight: FontWeight.bold),),)
          ],)


      ],),
    );
  }
}
