import 'package:flutter/material.dart';
import 'package:flutter_assesment/utils/config.dart';


class BottomNavigatorScreen extends StatefulWidget {
  const BottomNavigatorScreen({Key? key}) : super(key: key);

  @override
  _BottomNavigatorScreenState createState() => _BottomNavigatorScreenState();
}

class _BottomNavigatorScreenState extends State<BottomNavigatorScreen> {
 late int checkclick = 1;
  @override
  Widget build(BuildContext context) {
    return Container(
      color: Color(0xfff2f7fd),
      width: MediaQuery.of(context).size.width,
      height: 85,
      margin: const EdgeInsets.symmetric(horizontal: 20),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
           InkWell(

               onTap: (){
                 setState(() {
                   checkclick = 1;
                 });
               },

             child: Container(
               height: 55,
               padding: const EdgeInsets.symmetric(horizontal: 10),
               decoration: checkclick == 1? BoxDecoration(
                 color: Colors.white,
                 boxShadow: [
                   BoxShadow(
                     offset: Offset(1, 1),
                     color: Colors.grey.shade500,
                     spreadRadius: 1,
                     blurRadius: 5.0,
                   ),
                   BoxShadow(
                     offset: Offset(-1, -1),
                     color: Colors.white,
                     spreadRadius: 1,
                     blurRadius: 1.0,
                   ),
                 ],
                 borderRadius: BorderRadius.all(Radius.circular(5.0)),
               ) : BoxDecoration(),
               child: Column(
                 mainAxisAlignment: MainAxisAlignment.center,
                 children: [
                   checkclick == 1?
                   Image.asset("assets/images/chart_two.png",width: 30,height: 30,):
                   Image.asset("assets/images/chart_one.png",width: 30,height: 30,),
                   SizedBox(height: 5,),
                   Text(Config.supportProtfolio,style: TextStyle(color: checkclick == 1? Colors.black: Color(0xff797b7e),fontSize: 10),)

               ],),
             ),
           ),
          InkWell(
            onTap: (){
              setState(() {
                checkclick = 2;
              });
            },
            child: Container(
              height: 55,
              padding: const EdgeInsets.symmetric(horizontal: 10),
              decoration: checkclick == 2? BoxDecoration(
                color: Colors.white,
                boxShadow: [
                  BoxShadow(
                    offset: Offset(1, 1),
                    color: Colors.grey.shade500,
                    spreadRadius: 1,
                    blurRadius: 5.0,
                  ),
                  BoxShadow(
                    offset: Offset(-1, -1),
                    color: Colors.white,
                    spreadRadius: 1,
                    blurRadius: 1.0,
                  ),
                ],
                borderRadius: BorderRadius.all(Radius.circular(5.0)),
              ) : BoxDecoration(),
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  checkclick == 2?
                  Image.asset("assets/images/wallet_two.png",width: 30,height: 30,):
                  Image.asset("assets/images/wallet_one.png",width: 30,height: 30,),
                  SizedBox(height: 5,),
                  Text(Config.supportWallet,style: TextStyle(color: checkclick == 2? Colors.black: Color(0xff797b7e),fontSize: 10),)

                ],),
            ),
          ),



          Container(
            height: 65,
            width: 65,
            margin: const EdgeInsets.fromLTRB(0.0, 0.0, 0.0, 20.0),
            padding: const EdgeInsets.symmetric(horizontal: 10),
            decoration:BoxDecoration(
              gradient: LinearGradient(
                  colors: [const Color(0xff5488c9),const Color(0xff255794)],
                  begin: const FractionalOffset(0.0, 0.0),
                  end: const FractionalOffset(1.0, 0.0),
                  stops: [0.0,1.0],
                  tileMode: TileMode.clamp),
              border: Border.all(width: 3,color: Colors.white),
              shape: BoxShape.circle,
              boxShadow: [
                BoxShadow(
                  offset: Offset(1, 1),
                  color: Colors.grey.shade500,
                  spreadRadius: 1,
                  blurRadius: 5.0,
                ),
                BoxShadow(
                  offset: Offset(-1, -1),
                  color: Colors.white,
                  spreadRadius: 1,
                  blurRadius: 1.0,
                ),
              ],
            ),
            child: Image.asset("assets/images/qrcode.png",width: 40,height: 40,),

          ),


          InkWell(

            onTap: (){
              setState(() {
                checkclick = 3;
              });
            },
            child: Container(
              height: 55,
              padding: const EdgeInsets.symmetric(horizontal: 10),
              decoration: checkclick == 3? BoxDecoration(
                color: Colors.white,
                boxShadow: [
                  BoxShadow(
                    offset: Offset(1, 1),
                    color: Colors.grey.shade500,
                    spreadRadius: 1,
                    blurRadius: 5.0,
                  ),
                  BoxShadow(
                    offset: Offset(-1, -1),
                    color: Colors.white,
                    spreadRadius: 1,
                    blurRadius: 1.0,
                  ),
                ],
                borderRadius: BorderRadius.all(Radius.circular(5.0)),
              ) : BoxDecoration(),
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,

                children: [
                  checkclick == 3?
                  Image.asset("assets/images/prices_two.png",width: 30,height: 30,):
                  Image.asset("assets/images/prices_one.png",width: 30,height: 30,),
                  SizedBox(height: 5,),
                  Text(Config.supportPrices,style: TextStyle(color: checkclick == 3? Colors.black: Color(0xff797b7e),fontSize: 10),)

                ],),
            ),
          ),
          InkWell(

            onTap: (){
              setState(() {
                checkclick = 4;
              });
            },
            child: Container(
              height: 55,
              padding: const EdgeInsets.symmetric(horizontal: 10),
              decoration: checkclick == 4? BoxDecoration(
                color: Colors.white,
                boxShadow: [
                  BoxShadow(
                    offset: Offset(1, 1),
                    color: Colors.grey.shade500,
                    spreadRadius: 1,
                    blurRadius: 5.0,
                  ),
                  BoxShadow(
                    offset: Offset(-1, -1),
                    color: Colors.white,
                    spreadRadius: 1,
                    blurRadius: 1.0,
                  ),
                ],
                borderRadius: BorderRadius.all(Radius.circular(5.0)),
              ) : BoxDecoration(),
              child: Column(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  checkclick == 4?
                  Image.asset("assets/images/news_two.png",width: 30,height: 30,):
                  Image.asset("assets/images/news_one.png",width: 30,height: 30,),
                  SizedBox(height: 5,),
                  Text(Config.supportNews,style: TextStyle(color: checkclick == 4? Colors.black: Color(0xff797b7e), fontSize: checkclick == 4? 12:10),)

                ],),
            ),
          ),

      ],),
    );
  }
}
