import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_assesment/model/coin_list.dart';
import 'package:flutter_assesment/screen/celibration.dart';
import 'package:flutter_assesment/screen/slide_screen.dart';
import 'package:flutter_assesment/utils/config.dart';
import 'package:flutter_staggered_animations/flutter_staggered_animations.dart';



class CoinListViewScreen extends StatefulWidget {
  ScrollController scrollController;
  CoinListViewScreen({Key? key, required this.scrollController}) : super(key: key);

  @override
  _CoinListViewScreenState createState() => _CoinListViewScreenState();
}

class _CoinListViewScreenState extends State<CoinListViewScreen> {




  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.fromLTRB(0.0, 0.0, 0.0, 90.0),
      child: AnimationLimiter(
        child: ListView.builder(
            controller: widget.scrollController,
            shrinkWrap: true,
            itemCount: CoinListDataModel.flutteritems.length,
            itemBuilder: (BuildContext context, int index) {
              return AnimationConfiguration.staggeredList(
                position: index,
                duration: const Duration(seconds: 1),
                child: SlideAnimation(
                  verticalOffset: 50.0,
                  child: FadeInAnimation(
                    child: InkWell(
                      onTap: (){
                        showModalBottomSheet<void>(

                          // context and builder are
                          // required properties in this widget
                          context: context,
                          builder: (BuildContext context) {

                            // we set up a container inside which
                            // we create center column and display text
                            return Container(
                              height: 280,
                              color: const Color(0xFF737373),
                              child: Container(
                                decoration: BoxDecoration(
                                  color: Theme.of(context).canvasColor,
                                  borderRadius: const BorderRadius.only(
                                    topLeft: Radius.circular(30),
                                    topRight: Radius.circular(30),
                                  ),
                                ),
                                child: Center(
                                  child: Column(
                                    mainAxisAlignment: MainAxisAlignment.start,
                                    children: <Widget>[
                                      Container(
                                        margin: const EdgeInsets.fromLTRB(30.0,15.0,30.0,10.0),
                                        width: 80,
                                        height: 6,
                                        decoration: BoxDecoration(
                                          color: Color(0xffe0e2e3),
                                          borderRadius: BorderRadius.all(Radius.circular(10.0)),
                                        ),
                                      ),
                                      SizedBox(height: 10,),
                                      Container(
                                        alignment: Alignment.center,
                                        margin: const EdgeInsets.fromLTRB(20, 0, 20.0, 0.0),
                                        color: Colors.transparent,
                                        child: Row(
                                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                                          crossAxisAlignment: CrossAxisAlignment.center,
                                          children: [
                                            Row(
                                              crossAxisAlignment: CrossAxisAlignment.center,
                                              children: [
                                                Container(
                                                  alignment: Alignment.center,
                                                  child: Image.asset(
                                                    CoinListDataModel.flutteritems[index].icon,width: 40,height: 40,),
                                                ),
                                                SizedBox(
                                                  width: 10,
                                                ),
                                                Container(
                                                  alignment: Alignment.centerLeft,
                                                  margin: const EdgeInsets.fromLTRB(0, 5, 0.0, 0.0),
                                                  child: Column(
                                                    crossAxisAlignment: CrossAxisAlignment.start,
                                                    mainAxisAlignment: MainAxisAlignment.center,
                                                    children: [
                                                      Text(
                                                        CoinListDataModel.flutteritems[index].title,
                                                        style: TextStyle(
                                                            color: Color(0xff041c36),
                                                            fontSize: 14,
                                                            fontWeight: FontWeight.bold),
                                                      ),
                                                      SizedBox(
                                                        height: 5,
                                                      ),
                                                      Text(CoinListDataModel.flutteritems[index].subtitle,
                                                        style: TextStyle(
                                                            color: Color(0xff697786), fontSize: 10),
                                                      ),
                                                    ],
                                                  ),
                                                ),
                                              ],
                                            ),
                                            SizedBox(width: 30,),
                                            Container(
                                              alignment: Alignment.center,
                                              margin: const EdgeInsets.fromLTRB(0, 5, 0.0, 0.0),
                                              child: Row(
                                                mainAxisAlignment: MainAxisAlignment.center,
                                                crossAxisAlignment: CrossAxisAlignment.end,
                                                children: [
                                                  Column(
                                                    mainAxisAlignment: MainAxisAlignment.center,
                                                    children: [
                                                      Container(
                                                        padding: const EdgeInsets.all(5.0),
                                                        height: 40,
                                                        width: 40,
                                                        decoration: BoxDecoration(
                                                          color: Colors.white,
                                                          shape: BoxShape.circle,
                                                          boxShadow: [
                                                            BoxShadow(
                                                              offset: Offset(2, 2),
                                                              color: Colors.grey,
                                                              blurRadius: 10.0,
                                                            ),
                                                            BoxShadow(
                                                              offset: Offset(-2, -2),
                                                              color: Colors.white,
                                                              blurRadius: 10.0,
                                                            ),
                                                          ],
                                                        ),
                                                        child: Center(child: Image.asset("assets/images/alert.png"),),
                                                      ),
                                                      SizedBox(height: 10,),
                                                      Center(child: Text(Config.supportPriceAlert,style: TextStyle(color: Color(0xff697786),fontSize: 11),),)
                                                    ],),
                                                ],
                                              ),
                                            ),
                                            Container(
                                              alignment: Alignment.center,
                                              margin: const EdgeInsets.fromLTRB(0, 5, 0.0, 0.0),
                                              child: Row(
                                                mainAxisAlignment: MainAxisAlignment.center,
                                                crossAxisAlignment: CrossAxisAlignment.end,
                                                children: [
                                                  Column(
                                                    mainAxisAlignment: MainAxisAlignment.center,
                                                    children: [
                                                      Container(
                                                        padding: const EdgeInsets.all(5.0),
                                                        height: 40,
                                                        width: 40,
                                                        decoration: BoxDecoration(
                                                          color: Colors.white,
                                                          shape: BoxShape.circle,
                                                          boxShadow: [
                                                            BoxShadow(
                                                              offset: Offset(2, 2),
                                                              color: Colors.grey,
                                                              blurRadius: 10.0,
                                                            ),
                                                            BoxShadow(
                                                              offset: Offset(-2, -2),
                                                              color: Colors.white,
                                                              blurRadius: 10.0,
                                                            ),
                                                          ],
                                                        ),
                                                        child: Center(child: Image.asset("assets/images/start.png"),),
                                                      ),
                                                      SizedBox(height: 10,),
                                                      Center(child: Text(Config.supportfavorite,style: TextStyle(color: Color(0xff697786),fontSize: 11),),)
                                                    ],)
                                                ],
                                              ),
                                            ),
                                          ],
                                        ),
                                      ),
                                      SizedBox(height: 10,),
                                      Container(
                                        width: MediaQuery.of(context).size.width,
                                        margin: const EdgeInsets.symmetric(horizontal: 20),
                                        color: Color(0xffdadee0),
                                        height: 1,
                                      ),
                                      SizedBox(height: 10,),
                                      Container(
                                        margin: const EdgeInsets.fromLTRB(30.0,15.0,30.0,10.0),
                                        child: Row(
                                          mainAxisAlignment: MainAxisAlignment.center,
                                          children: [
                                            Text(
                                              CoinListDataModel.flutteritems[index].coin_price,
                                              style:TextStyle(
                                                  color: Color(0xff041c36),
                                                  fontSize: 20,
                                                  fontWeight: FontWeight.bold),
                                            ),



                                            Container(
                                              margin: const EdgeInsets.fromLTRB(10.0, 0.0, 0.0, 0.0),
                                              padding: const EdgeInsets.all(7.0),
                                              decoration: BoxDecoration(
                                                color: Color(0xffe0e2e3),
                                                borderRadius: BorderRadius.all(Radius.circular(5.0)),
                                              ),
                                              child: Center(child: Text(
                                                CoinListDataModel.flutteritems[index].market_Cap,
                                                style:TextStyle(
                                                  color: Color(0xffe14445),
                                                  fontSize: 13,),
                                              ),),
                                            ),

                                          ],),
                                      ),

                                      SizedBox(height: 10,),
                                      GestureDetector(
                                        onTap: (){
                                          Navigator.pop(context);
                                          Navigator.push(context, MaterialPageRoute(builder: (context)=> SlideScreenBar(index: index)));
                                        },
                                        child: Container(
                                          alignment: Alignment.center,
                                          width: MediaQuery.of(context).size.width,
                                          margin: const EdgeInsets.fromLTRB(30.0,0.0,30.0,0.0),
                                          height: 55,
                                          decoration: BoxDecoration(
                                            gradient: LinearGradient(
                                                colors: [const Color(0xff5488c9),const Color(0xff255794)],
                                                begin: const FractionalOffset(0.0, 0.0),
                                                end: const FractionalOffset(1.0, 0.0),
                                                stops: [0.0,1.0],
                                                tileMode: TileMode.clamp),
                                            border: Border.all(width: 5,color: Color(0xffe5ebf2)),
                                            borderRadius: BorderRadius.all(Radius.circular(50.0)),
                                          ),
                                          child: Text(Config.supportBuy,style: TextStyle(color: Colors.white,fontWeight: FontWeight.bold,fontSize: 17),),
                                        ),
                                      )
                                    ],
                                  ),
                                ),
                              ),
                            );
                          },
                        );
                      },
                      child: Column(mainAxisAlignment: MainAxisAlignment.spaceBetween,children: [
                        Container(
                          width: MediaQuery.of(context).size.width,
                          margin: const EdgeInsets.symmetric(horizontal: 20),
                          color: Color(0xffdadee0),
                          height: 1,
                        ),
                        Container(
                          alignment: Alignment.center,
                          margin: const EdgeInsets.fromLTRB(20, 0, 20.0, 0.0),
                          color: Colors.transparent,
                          height: 70,
                          child: Row(
                            mainAxisAlignment: MainAxisAlignment.spaceBetween,
                            crossAxisAlignment: CrossAxisAlignment.center,
                            children: [
                              Row(
                                crossAxisAlignment: CrossAxisAlignment.center,
                                children: [
                                  Container(
                                    alignment: Alignment.center,
                                    child: Image.asset(
                                      CoinListDataModel.flutteritems[index].icon,width: 40,height: 40,),
                                  ),
                                  SizedBox(
                                    width: 10,
                                  ),
                                  Container(
                                    alignment: Alignment.centerLeft,
                                    margin: const EdgeInsets.fromLTRB(0, 5, 0.0, 0.0),
                                    child: Column(
                                      crossAxisAlignment: CrossAxisAlignment.start,
                                      mainAxisAlignment: MainAxisAlignment.center,
                                      children: [
                                        Text(
                                          CoinListDataModel.flutteritems[index].title,
                                          style: TextStyle(
                                              color: Color(0xff041c36),
                                              fontSize: 14,
                                              fontWeight: FontWeight.bold),
                                        ),
                                        SizedBox(
                                          height: 5,
                                        ),
                                        Text(
                                          CoinListDataModel.flutteritems[index].profit +
                                              " "+
                                              CoinListDataModel.flutteritems[index].subtitle,
                                          style: TextStyle(
                                              color: Color(0xff697786), fontSize: 10),
                                        ),
                                      ],
                                    ),
                                  ),
                                ],
                              ),
                              Container(
                                padding: const EdgeInsets.symmetric(vertical: 10),
                                child: Image.asset("assets/images/graphimg.png"),
                              ),
                              Container(
                                alignment: Alignment.center,
                                margin: const EdgeInsets.fromLTRB(0, 5, 0.0, 0.0),
                                child: Column(
                                  mainAxisAlignment: MainAxisAlignment.center,
                                  crossAxisAlignment: CrossAxisAlignment.end,
                                  children: [
                                    Text(
                                      CoinListDataModel.flutteritems[index].coin_price,
                                      style:TextStyle(
                                          color: Color(0xff041c36),
                                          fontSize: 14,
                                          fontWeight: FontWeight.bold),
                                    ),
                                    SizedBox(
                                      height: 5,
                                    ),
                                    Text(
                                      CoinListDataModel.flutteritems[index].market_Cap,
                                      style:
                                      TextStyle(color: Color(0xffdc3545), fontSize: 10),
                                    ),
                                  ],
                                ),
                              ),
                            ],
                          ),
                        ),
                        Container(
                          margin: const EdgeInsets.symmetric(horizontal: 20),
                          width: MediaQuery.of(context).size.width,
                          color: Colors.transparent,
                          height: 1,
                        ),
                      ],),
                    ),
                  ),
                ),
              );
            }),
      ),
    );
  }
}

