import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import 'package:fl_chart/fl_chart.dart';

class GraphLayoutScreen extends StatefulWidget {
  const GraphLayoutScreen({Key? key}) : super(key: key);

  @override
  _GraphLayoutScreenState createState() => _GraphLayoutScreenState();
}

class _GraphLayoutScreenState extends State<GraphLayoutScreen> {
  late int checktrue = 1;


  List<LineChartBarData> datalinear = [
    LineChartBarData(
        isCurved: true,
        colors: [const Color(0xff23b6e6), const Color(0xff02d339a)],
        barWidth: 5,
        belowBarData: BarAreaData(show: false,colors: [Colors.transparent, Colors.transparent].map((e) => e.withOpacity(0.3)).toList(),),
        spots: [
          FlSpot(0, 3),
          FlSpot(2.6, 2),
          FlSpot(4.9, 5),
          FlSpot(6.8, 2.5),
          FlSpot(8, 4),
          FlSpot(9.5, 3),
          FlSpot(11, 4),
        ]),
  ];
  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.transparent,
      width: MediaQuery.of(context).size.width,
      child: Column(children: [


        SizedBox(height: 20,),
        Container(
          height: 200,
          width: MediaQuery.of(context).size.width +100,
          child: LineChart(
            LineChartData(
                maxX: 11,
                maxY: 6,
                minY: 0,
                minX: 0,
                titlesData:  FlTitlesData(
                  show: false,
                ),
                backgroundColor: Colors.transparent,
                lineBarsData: datalinear,
                gridData: FlGridData(
                  show: true,
                  getDrawingHorizontalLine: (value) {
                    return FlLine(
                      color: Colors.transparent,
                      strokeWidth: 1,
                    );
                  },
                  drawVerticalLine: false,
                  getDrawingVerticalLine: (value) {
                    return FlLine(
                      color: Colors.transparent,
                      strokeWidth: 1,
                    );
                  },
                ),
                borderData: FlBorderData(
                    show: false,
                    border: Border.all(color: Colors.transparent, width: 1))
              // read about it in the LineChartData section
            ),
            swapAnimationDuration: Duration(milliseconds: 150), // Optional
            swapAnimationCurve: Curves.linear,
          ),
        ),
        SizedBox(height: 20,),

        Container(
          width: MediaQuery.of(context).size.width,
          margin: const EdgeInsets.symmetric(horizontal: 40),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              InkWell(
                onTap: (){
                  setState(() {
                    checktrue = 0;
                  });
                },
                child: Container(
                  padding: const EdgeInsets.all(7),
                  decoration:  checktrue == 0?  BoxDecoration(
                    color: Color(0xffe1ecfa),
                    borderRadius: BorderRadius.all(Radius.circular(5.0)),
                  ): BoxDecoration(),
                  child: Text("1H",style: TextStyle(fontWeight: FontWeight.bold,color: checktrue == 0? Color(0xff478ce0) : Colors.black,fontSize: 17),),
                ),
              ),

              InkWell(
                onTap: (){
                  setState(() {
                    checktrue = 1;
                  });
                },
                child: Container(
                  padding: const EdgeInsets.all(7),
                  decoration:  checktrue == 1?  BoxDecoration(
                    color: Color(0xffe1ecfa),
                    borderRadius: BorderRadius.all(Radius.circular(5.0)),
                  ): BoxDecoration(),
                  child: Text("1D",style: TextStyle(fontWeight: FontWeight.bold,color: checktrue == 1? Color(0xff478ce0) : Colors.black,fontSize: 17),),
                ),
              ),

              InkWell(
                onTap: (){
                  setState(() {
                    checktrue = 2;
                  });
                },
                child: Container(
                  padding: const EdgeInsets.all(7),
                  decoration:  checktrue == 2?  BoxDecoration(
                    color: Color(0xffe1ecfa),
                    borderRadius: BorderRadius.all(Radius.circular(5.0)),
                  ): BoxDecoration(),
                  child: Text("1W",style: TextStyle(fontWeight: FontWeight.bold,color: checktrue == 2? Color(0xff478ce0) : Colors.black,fontSize: 17),),
                ),
              ),

              InkWell(
                onTap: (){
                  setState(() {
                    checktrue = 3;
                  });
                },
                child: Container(
                  padding: const EdgeInsets.all(7),
                  decoration:  checktrue == 3?  BoxDecoration(
                    color: Color(0xffe1ecfa),
                    borderRadius: BorderRadius.all(Radius.circular(5.0)),
                  ): BoxDecoration(),
                  child: Text("1M",style: TextStyle(fontWeight: FontWeight.bold,color: checktrue == 3? Color(0xff478ce0) : Colors.black,fontSize: 17),),
                ),
              ),


              InkWell(
                onTap: (){
                  setState(() {
                    checktrue = 4;
                  });
                },
                child: Container(
                  padding: const EdgeInsets.all(7),
                  decoration:  checktrue == 4?  BoxDecoration(
                    color: Color(0xffe1ecfa),
                    borderRadius: BorderRadius.all(Radius.circular(5.0)),
                  ): BoxDecoration(),
                  child: Text("1Y",style: TextStyle(fontWeight: FontWeight.bold,color: checktrue == 4? Color(0xff478ce0) : Colors.black,fontSize: 17),),
                ),
              ),

              InkWell(
                onTap: (){
                  setState(() {
                    checktrue = 5;
                  });
                },
                child: Container(
                  padding: const EdgeInsets.all(7),
                  decoration:  checktrue == 5?  BoxDecoration(
                    color: Color(0xffe1ecfa),
                    borderRadius: BorderRadius.all(Radius.circular(5.0)),
                  ): BoxDecoration(),
                  child: Text("All",style: TextStyle(fontWeight: FontWeight.bold,color: checktrue == 5? Color(0xff478ce0) : Colors.black,fontSize: 17),),
                ),
              ),
              
            ],
          ),
        )

      ],),
    );
  }
}
