import 'package:flutter/material.dart';
import 'package:flutter_assesment/utils/config.dart';


class MainItems extends StatelessWidget {
  const MainItems({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.symmetric(horizontal: 20,vertical: 10),
      padding: const EdgeInsets.all(20.0),
      height: 130,
      width: MediaQuery.of(context).size.width,
      decoration: BoxDecoration(
        color: Color(0xfff2f7fd),
        borderRadius: BorderRadius.all(Radius.circular(20.0)),
        boxShadow: [
          BoxShadow(
            offset: Offset(4, 4),
            color: Colors.grey.shade500,
            spreadRadius: 1,
            blurRadius: 15.0,
          ),
          BoxShadow(
            offset: Offset(-4, -4),
            color: Colors.white,
            spreadRadius: 1,
            blurRadius: 15.0,
          ),
        ],
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Column(crossAxisAlignment: CrossAxisAlignment.start,children: [
            Text(Config.supportPortfolio,style: TextStyle(color: Color(0xff9e9e9e),fontSize: 16),),
            SizedBox(height: 10,),
            Text(Config.supportPortfolioValue,style: TextStyle(color: Colors.black,fontSize: 22,fontWeight: FontWeight.bold),)
          ],),

          Container(
            height: 150,
            width: 1,
            color: Color(0xffb6b9be),
          ),


          Column(crossAxisAlignment: CrossAxisAlignment.start,children: [
            Text(Config.supportGain,style: TextStyle(color: Color(0xff9e9e9e),fontSize: 16),),
            SizedBox(height: 10,),
            Text(Config.supportGainValue,style: TextStyle(color: Colors.black,fontSize: 22,fontWeight: FontWeight.bold),),
            SizedBox(height: 10,),
            Container(margin: const EdgeInsets.fromLTRB(60.0, 0.0, 0.0, 0.0),alignment: Alignment.topRight,child: Text(Config.supportGainValueAdd,style: TextStyle(color: Color(0xff9e9e9e),fontSize: 16),),),
 

          ],)

      ],),
    );
  }
}
