import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_assesment/utils/config.dart';
import 'package:flutter_neumorphic/flutter_neumorphic.dart';



class SweepAnimationButton extends StatefulWidget {
  const SweepAnimationButton({Key? key}) : super(key: key);

  @override
  _SweepAnimationButtonState createState() => _SweepAnimationButtonState();
}

class _SweepAnimationButtonState extends State<SweepAnimationButton> {
  late bool check = true;
  @override
  Widget build(BuildContext context) {
    return Container(
      width: MediaQuery.of(context).size.width,
      margin: const EdgeInsets.symmetric(horizontal: 20,vertical: 20),
      decoration: BoxDecoration(
        borderRadius: BorderRadius.all(Radius.circular(50.0)),
        boxShadow: [
          BoxShadow(
            offset: Offset(4, 4),
            color: Colors.grey.shade500,
            spreadRadius: 1,
            blurRadius: 15.0,
          ),
          BoxShadow(
            offset: Offset(-4, -4),
            color: Colors.white,
            spreadRadius: 1,
            blurRadius: 15.0,
          ),
        ],
      ),
      child: Neumorphic(
        style: NeumorphicStyle(
          depth: -10,
          shadowLightColorEmboss: Colors.white,
          shadowDarkColorEmboss: Color(0xffa5b1b6),
          boxShape: NeumorphicBoxShape.roundRect(BorderRadius.circular(50)),
        ),
        child: Container(
          width: MediaQuery.of(context).size.width,
          height: 80,
          decoration: BoxDecoration(
            color: Color(0xfff2f7fd),
            border: Border.all(width: 3,color: Colors.white),
            borderRadius: BorderRadius.all(Radius.circular(50.0)),
            ),
            child: Row(mainAxisAlignment: MainAxisAlignment.spaceBetween,children: [
              InkWell(
                onTap: (){
                  setState(() {
                    check = true;
                  });
                },
                child: Container(
                  alignment: Alignment.center,
                  width: MediaQuery.of(context).size.width * 0.4,
                  margin: const EdgeInsets.fromLTRB(10.0,0.0,0.0,0.0),
                  height: 60,
                  decoration: check == true ? BoxDecoration(
                    gradient: LinearGradient(
                        colors: [const Color(0xff5488c9),const Color(0xff255794)],
                    begin: const FractionalOffset(0.0, 0.0),
                    end: const FractionalOffset(1.0, 0.0),
                    stops: [0.0,1.0],
                    tileMode: TileMode.clamp),
                    border: Border.all(width: 3,color: Color(0xff3c78c1)),
                    borderRadius: BorderRadius.all(Radius.circular(50.0)),
                  ): BoxDecoration(
                    borderRadius: BorderRadius.all(Radius.circular(50.0)),
                  ),
                  child: Text(Config.supportInvestment,style: TextStyle(color: check == true ?  Colors.white: Colors.black,fontWeight: FontWeight.bold,fontSize: 17),),
                ),
              ),
              InkWell(
                onTap: (){
                  setState(() {
                    check = false;
                  });
                },
                child: Container(
                  width: MediaQuery.of(context).size.width * 0.4,
                  height: 60,
                  margin: const EdgeInsets.fromLTRB(0.0,0.0,10.0,0.0),
                  alignment: Alignment.center,
                  decoration:  check == false ? BoxDecoration(
                    gradient: LinearGradient(
                        colors: [const Color(0xff5488c9),const Color(0xff255794)],
                        begin: const FractionalOffset(0.0, 0.0),
                        end: const FractionalOffset(1.0, 0.0),
                        stops: [0.0,1.0],
                        tileMode: TileMode.clamp),
                    border: Border.all(width: 3,color: Color(0xff3c78c1)),
                    borderRadius: BorderRadius.all(Radius.circular(50.0)),
                  ): BoxDecoration(
                    color: Colors.transparent,
                    borderRadius: BorderRadius.all(Radius.circular(50.0)),
                  ),
                  child: Text(Config.supportFavorite,style: TextStyle(color: check == false ?  Colors.white: Colors.black,fontWeight: FontWeight.bold,fontSize: 17),),
                ),
              ),
            ],),
        ),
      ),
    );
  }
}


