import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_assesment/model/coin_list.dart';
import 'package:flutter_assesment/screen/celibration.dart';
import 'package:flutter_assesment/sliderbutton/ConfirmationSlider.dart';
import 'package:flutter_assesment/utils/config.dart';

class SlideScreenBar extends StatefulWidget {
  int index;

  SlideScreenBar({Key? key, required this.index}) : super(key: key);

  @override
  _SlideScreenBarState createState() => _SlideScreenBarState();
}

class _SlideScreenBarState extends State<SlideScreenBar> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: Container(
          width: MediaQuery.of(context).size.width,
          height: MediaQuery.of(context).size.height,
          child: Column(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [

              Column(children: [
                Container(
                  alignment: Alignment.center,
                  margin: const EdgeInsets.fromLTRB(20, 0, 20.0, 0.0),
                  color: Colors.transparent,
                  height: 70,
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.spaceBetween,
                    crossAxisAlignment: CrossAxisAlignment.center,
                    children: [
                      Row(
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          InkWell(
                            onTap: (){

                              Navigator.pop(context);
                            },
                            child: Container(
                              padding: const EdgeInsets.all(5.0),
                              height: 40,
                              width: 40,
                              decoration: BoxDecoration(
                                color: Colors.white,
                                shape: BoxShape.circle,
                                boxShadow: [
                                  BoxShadow(
                                    offset: Offset(2, 2),
                                    color: Colors.grey,
                                    blurRadius: 5.0,
                                  ),
                                  BoxShadow(
                                    offset: Offset(-2, -2),
                                    color: Colors.white,
                                    blurRadius: 5.0,
                                  ),
                                ],
                              ),
                              child: Center(
                                child: Icon(
                                  Icons.arrow_back,
                                  color: Color(0xff468bdf),
                                ),
                              ),
                            ),
                          ),
                          SizedBox(
                            width: 20,
                          ),
                          Container(
                            alignment: Alignment.center,
                            child: Image.asset(
                              CoinListDataModel.flutteritems[widget.index].icon,
                              width: 40,
                              height: 40,
                            ),
                          ),
                          SizedBox(
                            width: 10,
                          ),
                          Container(
                            alignment: Alignment.centerLeft,
                            margin: const EdgeInsets.fromLTRB(0, 5, 0.0, 0.0),
                            child: Column(
                              crossAxisAlignment: CrossAxisAlignment.start,
                              mainAxisAlignment: MainAxisAlignment.center,
                              children: [
                                Text(
                                  CoinListDataModel
                                      .flutteritems[widget.index].title,
                                  style: TextStyle(
                                      color: Color(0xff041c36),
                                      fontSize: 14,
                                      fontWeight: FontWeight.bold),
                                ),
                                SizedBox(
                                  height: 5,
                                ),
                                Text(
                                  CoinListDataModel
                                      .flutteritems[widget.index].profit +
                                      " " +
                                      CoinListDataModel
                                          .flutteritems[widget.index].subtitle,
                                  style: TextStyle(
                                      color: Color(0xff697786), fontSize: 10),
                                ),
                              ],
                            ),
                          ),
                        ],
                      ),
                      Container(
                        alignment: Alignment.center,
                        margin: const EdgeInsets.fromLTRB(0, 5, 0.0, 0.0),
                        child: Column(
                          mainAxisAlignment: MainAxisAlignment.center,
                          crossAxisAlignment: CrossAxisAlignment.end,
                          children: [
                            Text(
                              CoinListDataModel
                                  .flutteritems[widget.index].coin_price,
                              style: TextStyle(
                                  color: Color(0xff041c36),
                                  fontSize: 14,
                                  fontWeight: FontWeight.bold),
                            ),
                            SizedBox(
                              height: 5,
                            ),
                            Text(
                              CoinListDataModel
                                  .flutteritems[widget.index].market_Cap,
                              style: TextStyle(
                                  color: Color(0xffdc3545), fontSize: 10),
                            ),
                          ],
                        ),
                      ),
                    ],
                  ),
                ),
                Container(
                  margin: const EdgeInsets.symmetric(horizontal: 20,vertical: 10),
                  padding: const EdgeInsets.all(20.0),
                  height: 230,
                  width: MediaQuery.of(context).size.width,
                  decoration: BoxDecoration(
                    color: Color(0xfff2f7fd),
                    borderRadius: BorderRadius.all(Radius.circular(20.0)),
                    boxShadow: [
                      BoxShadow(
                        offset: Offset(2, 2),
                        color: Colors.grey.shade500,
                        spreadRadius: 1,
                        blurRadius: 5.0,
                      ),
                      BoxShadow(
                        offset: Offset(-4, -4),
                        color: Colors.white,
                        spreadRadius: 1,
                        blurRadius: 5.0,
                      ),
                    ],
                  ),
                  child: Column(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      children: [
                      Text(Config.supportBalance,style: TextStyle(color: Color(0xff4d83c4)),),
                        SizedBox(width: 10,),
                        Text("1,30,000.52",style: TextStyle(color: Color(0xff4d83c4)),)
                    ],),


                    SizedBox(height: 30,),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Container(width: MediaQuery.of(context).size.width *0.33 - 50,
                        child: Text(Config.supportBuyPrice,style: TextStyle(color: Colors.black,fontWeight: FontWeight.bold),),),
                        Container(width: MediaQuery.of(context).size.width *0.33 - 50,
                          child:  Container(
                            padding: const EdgeInsets.all(7.0),
                            decoration: BoxDecoration(
                              color: Color(0xffe0ebf8),
                              borderRadius: BorderRadius.all(Radius.circular(5.0)),
                            ),
                            child: Center(child: Text(
                              Config.supportCURRENT,
                              style:TextStyle(
                                color: Color(0xff3b7ed0),
                                fontSize: 13,),
                            ),),
                          ),),
                        Container(width: MediaQuery.of(context).size.width *0.33 -30,
                          child:
                          Text(Config.supportCrupess,style: TextStyle(color: Colors.black,fontWeight: FontWeight.bold),)),


                      ],),

                    SizedBox(height: 30,),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Container(width: MediaQuery.of(context).size.width *0.33 - 50,
                          child: Text(Config.supportQuantity,style: TextStyle(color: Colors.black,fontWeight: FontWeight.bold),),),
                        Container(width: MediaQuery.of(context).size.width *0.33 -50,
                            child:
                            Text(Config.supportETH,style: TextStyle(color: Color(0xff878787),fontWeight: FontWeight.bold),)),


                        Container(width: MediaQuery.of(context).size.width *0.33 - 30,
                          child:  Container(
                            padding: const EdgeInsets.all(7.0),
                            decoration: BoxDecoration(
                              color: Color(0xffe0ebf8),
                              borderRadius: BorderRadius.all(Radius.circular(5.0)),
                            ),
                            child: Align(alignment: Alignment.centerRight,child: Text(
                              "1.2",
                              style:TextStyle(
                                color: Colors.black,
                              fontWeight: FontWeight.bold),
                            ),),
                          ),),
                      ],),

                    SizedBox(height: 30,),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Text(Config.supportTotalAmount,style: TextStyle(color: Colors.black,fontWeight: FontWeight.bold),),
                        Text(Config.supportCrupessto,style: TextStyle(color: Colors.black,fontWeight: FontWeight.bold),),
                      ],),

                    
                  ],),
                )
              ],),

              Container(
                width: MediaQuery.of(context).size.width,
                margin:
                    const EdgeInsets.symmetric(horizontal: 20, vertical: 20),
                child: ConfirmationSlider(onConfirmation: () {
                  print("check slider");
                  Navigator.push(context, MaterialPageRoute(builder: (context) => Celibration()));
                }),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
